﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
'This class is shared between the BANanoServer and BANAno
'Use to specify which code is specific for the BANanoServer (B4J) and the BANano Browser part
'  #If #B4J
' 
'  #Else
'
'  #End If 
'Making changes a this class in B4J debug mode will NOT have any effect on the BANano side until recompiled!
#Region BANano 
	' <-------------- IMPORTANT! This is because we want the non specific B4J code in this module to be transpiled by BANano
#End Region

Sub Class_Globals
	Public Name As String
	Public Gender As String	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	
End Sub

public Sub ToJSON() As String
	Dim m As Map = CreateMap("name": Name, "gender": Gender)
	
	#If B4J
	Dim json As JSONGenerator
	#Else 'if BANANO
		Dim json As BANanoJSONGenerator		
	#End If
	json.Initialize(m)
	Return json.ToString
End Sub

public Sub FromJson(jsonStr As String)
	Dim m As Map
	
	#if B4J 
	Dim json As JSONParser
	#Else 'if BANAno
		Dim json As BANanoJSONParser
	#End If
	
	json.Initialize(jsonStr)
	m = json.NextObject
	
	Name = m.Get("name")
	Gender = m.Get("gender")	
End Sub
